商品ランキング - 最もプロモーションされている商品
概要
最もプロモーションされている商品を取得します。以下の機能をサポートします。
- フィルターパラメータの設定が可能
- カスタムソート順に対応
API エンドポイント
bash
POST /product/v1/rank/mostPromotedリクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
filter | object | いいえ | フィルターパラメータ |
orderby | object | いいえ | ソートパラメータ |
page | integer | いいえ | ページ番号, デフォルト: 1 |
pagesize | integer | いいえ | 1ページあたりの件数, デフォルト: 10 |
page*pagesize<= 500
pagesize範囲 [1, 100]
filter オプション値
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
region | string | いいえ | 国/地域 |
date_info | object | はい | 日付情報, 例: {'type': 'day', 'value': '2026-02-01'} |
category_id | integer | いいえ | 商品カテゴリ |
is_cross_border | integer | いいえ | 越境EC商品かどうか |
is_fully_managed | integer | いいえ | フルマネージド商品かどうか |
利用可能な地域:
['US', 'ID', 'GB', 'VN', 'TH', 'MY', 'PH', 'SG', 'ES', 'MX', 'DE', 'FR', 'PT', 'NL', 'BE', 'AT', 'PL', 'IT', 'BR', 'JP']
orderby オプション値
| フィールド | 必須 | 説明 |
|---|---|---|
affiliate_count | いいえ | アフィリエイト数(降順) |
total_affiliate_count | いいえ | 総アフィリエイト数(降順) |
リクエスト例
bash
curl 'https://openapi.fastmoss.com/product/v1/rank/mostPromoted' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"region": "US",
"category_id": 2,
"date_info": {
"type": "day",
"value": "2026-02-01"
},
# "date_info": {
# "type": "week",
# "value": "2026-18"
# },
# "date_info": {
# "type": "month",
# "value": "2026-02"
# }
},
"orderby": [
{
"field": "affiliate_count",
"order": "desc"
}
],
"page": 1,
"pagesize": 10
}'レスポンスボディ
data.total
- 型: integer
- 説明: 結果の総数
data.list
| フィールド | 型 | 説明 |
|---|---|---|
product_id | string | 商品ID |
title | string | 商品タイトル |
region | string | 国/地域 |
cover | string | 商品カバーURL |
category | object | 商品カテゴリ |
commission_rate | integer | コミッション率 |
real_price | string | 商品価格 |
currency | string | 価格の通貨 |
units_sold | integer | 販売数 |
gmv | integer | 売上 |
affiliate_count | integer | アフィリエイト数 |
total_affiliate_count | integer | 総アフィリエイト数 |
shop | object | ショップ情報 |
data.list.shop
| フィールド | 型 | 説明 |
|---|---|---|
seller_id | string | ショップID |
name | string | ショップ名 |
avatar | string | ショップカバーURL |
total_units_sold | integer | ショップ総販売数 |
レスポンス例
json
{
"code": 0,
"msg": "success",
"data": {
"total": 500,
"list": [
{
"product_id": "1731252369156444451",
"units_sold": 833,
"gmv": 14994,
"affiliate_count": 214,
"total_affiliate_count": 8176,
"off_shelves": 0,
"launch_time": 1748956607,
"title": "e.l.f. Halo Glow Skin Tint SPF 50 - Hydrating Serum-Like Concealer with Mineral SPF 50 Sunscreen, Lightweight & Water-Resistant, 18 Shades, 30ml",
"cover": "https://s.500fd.com/tt_product/f9b6e759e360420384cdacec82808f85~tplv-fhlh96nyum-resize-jpeg:800:800.jpeg",
"region": "US",
"currency": "USD",
"real_price": "$18.00",
"commission_rate": 1500,
"category": {
"l1": {
"id": 14,
"name": "Beauty & Personal Care"
},
"l2": {
"id": 848648,
"name": "Makeup"
},
"l3": {
"id": 601554,
"name": "Concealer & Foundation"
}
},
"shop": {
"avatar": "https://s.500fd.com/tt_shop/9ff01cdd6a0e4497aa55aae3403362c5~tplv-omjb5zjo8w-resize-png:300:300.png",
"seller_id": "7494913857786775843",
"name": "e.l.f. Cosmetics",
"total_units_sold": 2369716,
"is_fully_managed": null
}
}
]
}
}